Skip to main content
GET
/
workflow
/
{task_id}
/
events
Error
A valid request URL is required to generate request examples
"<string>"

Documentation Index

Fetch the complete documentation index at: https://docs.dify.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。

Path Parameters

task_id
string<uuid>
required

原始工作流运行请求返回的工作流运行 ID。

Query Parameters

user
string
required

最初触发该运行的终端用户标识。必须与工作流运行的创建者一致。

include_state_snapshot
boolean
default:false

true 时,从持久化状态快照重放,在流式发送新事件前附带已执行节点的状态摘要。

continue_on_pause
boolean
default:false

设为 true 时,流会在多次 workflow_paused 事件之间保持打开(适用于工作流包含多个连续人工介入节点的场景)。默认在首次暂停时关闭流。

Response

Server-Sent Events 流。每个事件以 data: {JSON}\n\n 形式送达。事件载荷结构与原始流式响应一致。

工作流事件的 SSE 流。